LIBITEMDB_ITEMSTRINGS = {
{"INVTYPE_2HWEAPON", INVTYPE_2HWEAPON}, -- "Two-Hand" - Two-hand type
{"INVTYPE_AMMO", INVTYPE_AMMO}, -- "Ammo"
{"INVTYPE_BAG", INVTYPE_BAG}, -- "Bag" - Bag type
{"INVTYPE_BODY", INVTYPE_BODY}, -- "Shirt" - Body type
{"INVTYPE_CHEST", INVTYPE_CHEST}, -- "Chest" - Chest type
{"INVTYPE_CLOAK", INVTYPE_CLOAK}, -- "Back" - Cloak type
{"INVTYPE_FEET", INVTYPE_FEET}, -- "Feet" - Feet type
{"INVTYPE_FINGER", INVTYPE_FINGER}, -- "Finger" - Finger type
{"INVTYPE_HAND", INVTYPE_HAND}, -- "Hands" - Hands type
{"INVTYPE_HEAD", INVTYPE_HEAD}, -- "Head" - Head type
{"INVTYPE_HOLDABLE", INVTYPE_HOLDABLE}, -- "Held In Off-hand" - Holdable type
{"INVTYPE_LEGS", INVTYPE_LEGS}, -- "Legs" - Legs type
{"INVTYPE_NECK", INVTYPE_NECK}, -- "Neck" - Neck type
{"INVTYPE_QUIVER", INVTYPE_QUIVER}, -- "Quiver"
{"INVTYPE_RANGED", INVTYPE_RANGED}, -- "Ranged" - Ranged type
{"INVTYPE_RANGEDRIGHT", INVTYPE_RANGEDRIGHT}, -- "Ranged"
{"INVTYPE_RELIC", INVTYPE_RELIC}, -- "Relic"
{"INVTYPE_ROBE", INVTYPE_ROBE}, -- "Chest" - Robe type
{"INVTYPE_SHIELD", INVTYPE_SHIELD}, -- "Off Hand" - Shield type
{"INVTYPE_SHOULDER", INVTYPE_SHOULDER}, -- "Shoulder" - Shoulder type
{"INVTYPE_TABARD", INVTYPE_TABARD}, -- "Tabard" - Tabard type
{"INVTYPE_THROWN", INVTYPE_THROWN}, -- "Thrown"
{"INVTYPE_TRINKET", INVTYPE_TRINKET}, -- "Trinket" - Trinket type
{"INVTYPE_WAIST", INVTYPE_WAIST}, -- "Waist" - Waist type
{"INVTYPE_WEAPON", INVTYPE_WEAPON}, -- "One-Hand" - One-hand type,  either hand
{"INVTYPE_WEAPONMAINHAND", INVTYPE_WEAPONMAINHAND}, -- "Main Hand" - One-hand type,  main hand
-- {"INVTYPE_WEAPONMAINHAND_PET", INVTYPE_WEAPONMAINHAND_PET}, -- "Main Attack"
{"INVTYPE_WEAPONOFFHAND", INVTYPE_WEAPONOFFHAND}, -- "Off Hand" - One-hand type, off hand
{"INVTYPE_WRIST", INVTYPE_WRIST}, -- "Wrist" - Wrist type
-- {"ITEMPRESENTINOFFHAND", ITEMPRESENTINOFFHAND}, -- "Cannot wield, there's something already in your second hand!"
-- {"ITEMS", ITEMS}, -- "Items" - Generic "items"
-- {"ITEMSLOTTEXT", ITEMSLOTTEXT}, -- "Item Slots" - label for items
{"ITEM_ACCOUNTBOUND", ITEM_ACCOUNTBOUND}, -- "Account Bound"
{"ITEM_BIND_ON_EQUIP", ITEM_BIND_ON_EQUIP}, -- "Binds when equipped" - Item will be bound when equipped
{"ITEM_BIND_ON_PICKUP", ITEM_BIND_ON_PICKUP}, -- "Binds when picked up" - Item wil be bound when picked up
{"ITEM_BIND_ON_USE", ITEM_BIND_ON_USE}, -- "Binds when used" - Item will be bound when used
{"ITEM_BIND_QUEST", ITEM_BIND_QUEST}, -- "Quest Item" - Item is a quest item (same logic as ON_PICKUP)
{"ITEM_BIND_TO_ACCOUNT", ITEM_BIND_TO_ACCOUNT}, -- "Binds to account"
{"ITEM_CLASSES_ALLOWED", ITEM_CLASSES_ALLOWED}, -- "Classes: %s" - Lists the classes allowed to use this item

{"ITEM_CONJURED", ITEM_CONJURED}, -- "Conjured Item" - Item expires
{"ITEM_COOLDOWN_TIME_DAYS", ITEM_COOLDOWN_TIME_DAYS}, -- "Cooldown remaining: %d |4day:days;"
{"ITEM_COOLDOWN_TIME_HOURS", ITEM_COOLDOWN_TIME_HOURS}, -- "Cooldown remaining: %d |4hour:hours;"
{"ITEM_COOLDOWN_TIME_MIN", ITEM_COOLDOWN_TIME_MIN}, -- "Cooldown remaining: %d min"
{"ITEM_COOLDOWN_TIME_SEC", ITEM_COOLDOWN_TIME_SEC}, -- "Cooldown remaining: %d sec"
{"ITEM_COOLDOWN_TOTAL", ITEM_COOLDOWN_TOTAL}, -- "(%s Cooldown)"
{"ITEM_COOLDOWN_TOTAL_DAYS", ITEM_COOLDOWN_TOTAL_DAYS}, -- "(%d |4Day:Days; Cooldown)"
{"ITEM_COOLDOWN_TOTAL_HOURS", ITEM_COOLDOWN_TOTAL_HOURS}, -- "(%d |4Hour:Hours; Cooldown)"
{"ITEM_COOLDOWN_TOTAL_MIN", ITEM_COOLDOWN_TOTAL_MIN}, -- "(%d Min Cooldown)"
{"ITEM_COOLDOWN_TOTAL_SEC", ITEM_COOLDOWN_TOTAL_SEC}, -- "(%d Sec Cooldown)"
{"ITEM_COOLDOWN_TIME", ITEM_COOLDOWN_TIME}, -- "Cooldown remaining: %s"
{"ITEM_CREATED_BY", ITEM_CREATED_BY}, -- "|cff00ff00<Made by %s>|r" - %s is the creator of the item
{"ITEM_DISENCHANT_ANY_SKILL", ITEM_DISENCHANT_ANY_SKILL}, -- "Disenchantable" - Items that can be disenchanted at any skill level
{"ITEM_DISENCHANT_MIN_SKILL", ITEM_DISENCHANT_MIN_SKILL}, -- "Disenchanting requires %s (%d)" - Minimum enchanting skill needed to disenchant
{"ITEM_DISENCHANT_NOT_DISENCHANTABLE", ITEM_DISENCHANT_NOT_DISENCHANTABLE}, -- "Cannot be disenchanted" - Items which cannot be disenchanted ever

{"ITEM_DURATION_DAYS", ITEM_DURATION_DAYS}, -- "Duration: %d |4day:days;"
{"ITEM_DURATION_HOURS", ITEM_DURATION_HOURS}, -- "Duration: %d |4hour:hrs;"
{"ITEM_DURATION_MIN", ITEM_DURATION_MIN}, -- "Duration: %d min"
{"ITEM_DURATION_SEC", ITEM_DURATION_SEC}, -- "Duration: %d sec"
{"ITEM_ENCHANT_DISCLAIMER", ITEM_ENCHANT_DISCLAIMER}, -- "Item will not be traded!" - Temporary string
{"ITEM_ENCHANT_TIME_LEFT_DAYS", ITEM_ENCHANT_TIME_LEFT_DAYS}, -- "%s (%d |4day:days;)"
{"ITEM_ENCHANT_TIME_LEFT_HOURS", ITEM_ENCHANT_TIME_LEFT_HOURS}, -- "%s (%d |4hour:hours;)"
{"ITEM_ENCHANT_TIME_LEFT_MIN", ITEM_ENCHANT_TIME_LEFT_MIN}, -- "%s (%d min)" - Enchantment name,  followed by the time left in minutes
{"ITEM_ENCHANT_TIME_LEFT_SEC", ITEM_ENCHANT_TIME_LEFT_SEC}, -- "%s (%d sec)" - Enchantment name, followed by the time left in seconds
-- {"ITEM_LEVEL", ITEM_LEVEL}, -- "Level %d" - The actual level of the item
-- {"ITEM_LEVEL_AND_MIN", ITEM_LEVEL_AND_MIN}, -- "Level %d (min %d)" - The level and minimum required level for an item
{"ITEM_LEVEL_RANGE_CURRENT", ITEM_LEVEL_RANGE_CURRENT}, -- "Requires level %d to %d (%d)" - Item is only useable in the range of levels specified.
{"ITEM_LEVEL_RANGE", ITEM_LEVEL_RANGE}, -- "Requires level %d to %d" - Item is only useable in the range of levels specified.

-- {"ITEM_LOOT", ITEM_LOOT}, -- "Item Loot"
{"ITEM_MILLABLE", ITEM_MILLABLE}, -- "Millable" - Item is millable
{"ITEM_MIN_LEVEL", ITEM_MIN_LEVEL}, -- "Requires Level %d" - Required level to use the item
{"ITEM_MIN_SKILL", ITEM_MIN_SKILL}, -- "Requires %s (%d)" - Required skill rank to use the item
{"ITEM_MOD_AGILITY", ITEM_MOD_AGILITY}, -- "%c%d Agility" - Item adds %d to agility, %c is +/-

{"ITEM_MOD_ARMOR_PENETRATION_RATING", ITEM_MOD_ARMOR_PENETRATION_RATING}, -- "Increases your armor penetration rating by %d."
{"ITEM_MOD_ATTACK_POWER", ITEM_MOD_ATTACK_POWER}, -- "Increases attack power by %d."
{"ITEM_MOD_BLOCK_RATING", ITEM_MOD_BLOCK_RATING}, -- "Increases your shield block rating by %d."
--{"ITEM_MOD_CRIT_MELEE_RATING", ITEM_MOD_CRIT_MELEE_RATING}, -- "Improves melee critical strike rating by %d."
--{"ITEM_MOD_CRIT_RANGED_RATING", ITEM_MOD_CRIT_RANGED_RATING}, -- "Improves ranged critical strike rating by %d."

{"ITEM_MOD_CRIT_RATING", ITEM_MOD_CRIT_RATING}, -- "Improves critical strike rating by %d."
--{"ITEM_MOD_CRIT_SPELL_RATING", ITEM_MOD_CRIT_SPELL_RATING}, -- "Improves spell critical strike rating by %d."
--{"ITEM_MOD_CRIT_TAKEN_MELEE_RATING", ITEM_MOD_CRIT_TAKEN_MELEE_RATING}, -- "Improves melee critical avoidance rating by %d."
--{"ITEM_MOD_CRIT_TAKEN_RANGED_RATING", ITEM_MOD_CRIT_TAKEN_RANGED_RATING}, -- "Improves ranged critical avoidance rating by %d."
--{"ITEM_MOD_CRIT_TAKEN_RATING", ITEM_MOD_CRIT_TAKEN_RATING}, -- "Improves critical avoidance rating by %d."
--{"ITEM_MOD_CRIT_TAKEN_SPELL_RATING", ITEM_MOD_CRIT_TAKEN_SPELL_RATING}, -- "Improves spell critical avoidance rating by %d."
{"ITEM_MOD_DEFENSE_SKILL_RATING", ITEM_MOD_DEFENSE_SKILL_RATING}, -- "Increases defense rating by %d." - Increases defense rating by %d
{"ITEM_MOD_DODGE_RATING", ITEM_MOD_DODGE_RATING}, -- "Increases your dodge rating by %d."
{"ITEM_MOD_EXPERTISE_RATING", ITEM_MOD_EXPERTISE_RATING}, -- "Increases your expertise rating by %d."
{"ITEM_MOD_FERAL_ATTACK_POWER", ITEM_MOD_FERAL_ATTACK_POWER}, -- "Increases attack power by %d in Cat, Bear, Dire Bear, and Moonkin forms only."
--{"ITEM_MOD_HASTE_MELEE_RATING", ITEM_MOD_HASTE_MELEE_RATING}, -- "Improves melee haste rating by %d."
--{"ITEM_MOD_HASTE_RANGED_RATING", ITEM_MOD_HASTE_RANGED_RATING}, -- "Improves ranged haste rating by %d."
{"ITEM_MOD_HASTE_RATING", ITEM_MOD_HASTE_RATING}, -- "Improves haste rating by %d."
--{"ITEM_MOD_HASTE_SPELL_RATING", ITEM_MOD_HASTE_SPELL_RATING}, -- "Improves spell haste rating by %d."
{"ITEM_MOD_HEALTH", ITEM_MOD_HEALTH}, -- "%c%d Health" - Item adds %d to health, %c is +/-
--{"ITEM_MOD_HIT_MELEE_RATING", ITEM_MOD_HIT_MELEE_RATING}, -- "Improves melee hit rating by %d."
--{"ITEM_MOD_HIT_RANGED_RATING", ITEM_MOD_HIT_RANGED_RATING}, -- "Improves ranged hit rating by %d."
{"ITEM_MOD_HIT_RATING", ITEM_MOD_HIT_RATING}, -- "Improves hit rating by %d."
--{"ITEM_MOD_HIT_SPELL_RATING", ITEM_MOD_HIT_SPELL_RATING}, -- "Improves spell hit rating by %d."
--{"ITEM_MOD_HIT_TAKEN_MELEE_RATING", ITEM_MOD_HIT_TAKEN_MELEE_RATING}, -- "Improves melee hit avoidance rating by %d."
--{"ITEM_MOD_HIT_TAKEN_RANGED_RATING", ITEM_MOD_HIT_TAKEN_RANGED_RATING}, -- "Improves ranged hit avoidance rating by %d."
--{"ITEM_MOD_HIT_TAKEN_RATING", ITEM_MOD_HIT_TAKEN_RATING}, -- "Improves hit avoidance rating by %d."
--{"ITEM_MOD_HIT_TAKEN_SPELL_RATING", ITEM_MOD_HIT_TAKEN_SPELL_RATING}, -- "Improves spell hit avoidance rating by %d."

{"ITEM_MOD_INTELLECT", ITEM_MOD_INTELLECT}, -- "%c%d Intellect" - Item adds %d to intellect, %c is +/-
{"ITEM_MOD_MANA", ITEM_MOD_MANA}, -- "%c%d Mana" - Item adds %d to mana, %c is +/-
{"ITEM_MOD_MANA_REGENERATION", ITEM_MOD_MANA_REGENERATION}, -- "Restores %d mana per 5 sec."
{"ITEM_MOD_PARRY_RATING", ITEM_MOD_PARRY_RATING}, -- "Increases your parry rating by %d."
{"ITEM_MOD_RANGED_ATTACK_POWER", ITEM_MOD_RANGED_ATTACK_POWER}, -- "Increases ranged attack power by %d."
{"ITEM_MOD_RESILIENCE_RATING", ITEM_MOD_RESILIENCE_RATING}, -- "Improves your resilience rating by %d."
--{"ITEM_MOD_SPELL_DAMAGE_DONE", ITEM_MOD_SPELL_DAMAGE_DONE}, -- "Increases damage done by magical spells and effects by up to %d."
--{"ITEM_MOD_SPELL_HEALING_DONE", ITEM_MOD_SPELL_HEALING_DONE}, -- "Increases healing done by magical spells and effects by up to %d."
{"ITEM_MOD_SPELL_PENETRATION", ITEM_MOD_SPELL_PENETRATION},  -- "Increases spell penetration by %d.";
{"ITEM_MOD_SPELL_POWER", ITEM_MOD_SPELL_POWER}, -- "Increases spell power by %d."
{"ITEM_MOD_SPIRIT", ITEM_MOD_SPIRIT}, -- "%c%d Spirit" - Item adds %d to spirit, %c is +/-
{"ITEM_MOD_STAMINA", ITEM_MOD_STAMINA}, -- "%c%d Stamina" - Item adds %d to stamina, %c is +/-
{"ITEM_MOD_STRENGTH", ITEM_MOD_STRENGTH}, -- "%c%d Strength" - Item adds %d to strength, %c is +/-
-- {"ITEM_MOUSE_OVER", ITEM_MOUSE_OVER}, -- "Mouse over icon for more info"
-- {"ITEM_NAMES", ITEM_NAMES}, -- "Item Names"
-- {"ITEM_NAMES_SHOW_BRACES_COMBATLOG_TOOLTIP", ITEM_NAMES_SHOW_BRACES_COMBATLOG_TOOLTIP}, -- "Show braces around item names."

{"ITEM_NO_DROP", ITEM_NO_DROP}, -- "No Drop" - This is a No Drop item
{"ITEM_OPENABLE", ITEM_OPENABLE}, -- "<Right Click to Open>"
{"ITEM_PROPOSED_ENCHANT", ITEM_PROPOSED_ENCHANT}, -- "Will receive %s." - Enchantment proposed in trade
{"ITEM_PROSPECTABLE", ITEM_PROSPECTABLE}, -- "Prospectable" - Item is prospectable
-- {"ITEM_PURCHASED_COLON", ITEM_PURCHASED_COLON}, -- "Item Purchased:"
{"ITEM_QUALITY0_DESC", ITEM_QUALITY0_DESC}, -- "Poor"
{"ITEM_QUALITY1_DESC", ITEM_QUALITY1_DESC}, -- "Common"
{"ITEM_QUALITY2_DESC", ITEM_QUALITY2_DESC}, -- "Uncommon"
{"ITEM_QUALITY3_DESC", ITEM_QUALITY3_DESC}, -- "Rare"
{"ITEM_QUALITY4_DESC", ITEM_QUALITY4_DESC}, -- "Epic"
{"ITEM_QUALITY5_DESC", ITEM_QUALITY5_DESC}, -- "Legendary"
{"ITEM_QUALITY6_DESC", ITEM_QUALITY6_DESC}, -- "Artifact"
{"ITEM_QUALITY7_DESC", ITEM_QUALITY7_DESC}, -- "Heirloom" - Item quality for "Heirloom" items
-- {"ITEM_QUANTITY_TEMPLATE", ITEM_QUANTITY_TEMPLATE}, -- "%d %s" - Template so other languages can say "2 manly swords".
{"ITEM_RACES_ALLOWED", ITEM_RACES_ALLOWED}, -- "Races: %s" - Lists the races allowed to use this item
{"ITEM_RANDOM_ENCHANT", ITEM_RANDOM_ENCHANT}, -- "<Random enchantment>"
{"ITEM_READABLE", ITEM_READABLE}, -- "<Right Click to Read>" - Tooltip text for readable items
-- {"ITEM_REFUND_MSG", ITEM_REFUND_MSG}, -- "Item was refunded. Received a refund of:"
{"ITEM_REQ_ARENA_RATING", ITEM_REQ_ARENA_RATING}, -- "Requires personal and team arena rating of %d" - %d is the rating number required
{"ITEM_REQ_REPUTATION", ITEM_REQ_REPUTATION}, -- "Requires %s - %s" - Required faction reputation to use the item
{"ITEM_REQ_PURCHASE_GROUP", ITEM_REQ_PURCHASE_GROUP}, -- "Requires %s"
{"ITEM_REQ_SKILL", ITEM_REQ_SKILL}, -- "Requires %s" - Required skill to use the item
{"ITEM_RESIST_ALL", ITEM_RESIST_ALL}, -- "%c%d to All Resistances" - Item adds %d to all resistances, %c is +/-
{"ITEM_RESIST_SINGLE", ITEM_RESIST_SINGLE}, -- "%c%d %s Resistance" - Item adds %d to %s school resistance, first %c is +/-
{"ITEM_SET_BONUS", ITEM_SET_BONUS, true}, -- "Set: %s"
{"ITEM_SET_BONUS_GRAY", ITEM_SET_BONUS_GRAY, true}, -- "(%d) Set: %s"
{"ITEM_SET_NAME", ITEM_SET_NAME}, -- "%s (%d/%d)" - Set name (2/5)
{"ITEM_SIGNABLE", ITEM_SIGNABLE}, -- "<Right Click for Details>"
{"ITEM_SOCKETABLE", ITEM_SOCKETABLE}, -- "<Shift Right Click to Socket>"
{"ITEM_SOCKETING", ITEM_SOCKETING}, -- "Item Socketing"
{"ITEM_SOCKET_BONUS", ITEM_SOCKET_BONUS, true}, -- "Socket Bonus: %s" - Tooltip tag for socketed item matched socket bonuses
{"ITEM_SOLD_COLON", ITEM_SOLD_COLON}, -- "Item Sold:"
{"ITEM_SOULBOUND", ITEM_SOULBOUND}, -- "Soulbound" - Item is Soulbound
{"ITEM_SPELL_CHARGES", ITEM_SPELL_CHARGES}, -- "%d |4Charge:Charges;" - Spell charges on an item
{"ITEM_SPELL_CHARGES_NONE", ITEM_SPELL_CHARGES_NONE}, -- "No charges" - Used in the tooltip when charges, 0 on items that are not consumed
{"ITEM_SPELL_EFFECT", ITEM_SPELL_EFFECT}, -- "Effect: %s" - Item can cast spell %s
{"ITEM_SPELL_KNOWN", ITEM_SPELL_KNOWN}, -- "Already known"
{"ITEM_STARTS_QUEST", ITEM_STARTS_QUEST}, -- "This Item Begins a Quest" - Item is a quest giver
-- {"ITEM_SUFFIX_TEMPLATE", ITEM_SUFFIX_TEMPLATE}, -- "%s %s" - Name, suffix
{"ITEM_TEXT_FROM", ITEM_TEXT_FROM}, -- "From,"
{"ITEM_UNIQUE", ITEM_UNIQUE}, -- "Unique" - Item is unique
{"ITEM_UNIQUE_EQUIPPABLE", ITEM_UNIQUE_EQUIPPABLE}, -- "Unique-Equipped" - Only one allowed to be equipped at a time.

{"ITEM_UNIQUE_MULTIPLE", ITEM_UNIQUE_MULTIPLE}, -- "Unique (%d)" - Item is unique
{"ITEM_LIMIT_CATEGORY", ITEM_LIMIT_CATEGORY}, -- "Unique: %s (%d)"
{"ITEM_LIMIT_CATEGORY_MULTIPLE", ITEM_LIMIT_CATEGORY_MULTIPLE}, -- "Unique Equipped: %s (%d)"
{"ITEM_UNSELLABLE", ITEM_UNSELLABLE}, -- "No sell price"
{"ITEM_WRAPPED_BY", ITEM_WRAPPED_BY}, -- "|cff00ff00<Gift from %s>|r" - %s is the person who wrapped the gift
{"ITEM_WRITTEN_BY", ITEM_WRITTEN_BY}, -- "Written by %s"
-- {"ITEM_WRONG_CLASS", ITEM_WRONG_CLASS}, -- "That item can't be used by players of your class!" - Doesn't seem to be on tooltips
-- {"ITEM_WRONG_RACE", ITEM_WRONG_RACE}, -- "That item can't be used by players of your race!" - Doesn't seem to be on tooltips

{"ENCHANT_ITEM_MIN_SKILL", ENCHANT_ITEM_MIN_SKILL}, -- "Enchantment Requires %s (%d)" - Required skill rank to use the item
{"ENCHANT_ITEM_REQ_LEVEL", ENCHANT_ITEM_REQ_LEVEL}, -- "Enchantment Requires Level %d" - Required player level to use the item
{"ENCHANT_ITEM_REQ_SKILL", ENCHANT_ITEM_REQ_SKILL}, -- "Enchantment Requires %s" - Required skill to use the item

{"DURABILITY_TEMPLATE", DURABILITY_TEMPLATE}, -- "Durability %d / %d" - Item's durability display template
{"DPS_TEMPLATE", DPS_TEMPLATE}, -- "(%.1f damage per second)"
{"ARMOR_TEMPLATE", ARMOR_TEMPLATE}, --"%d Armor" - Item's armor display template
{"DAMAGE_TEMPLATE_WITH_SCHOOL", DAMAGE_TEMPLATE_WITH_SCHOOL}, -- "%d - %d %s Damage"

{"DAMAGE_TEMPLATE", DAMAGE_TEMPLATE}, -- "%d - %d Damage" - Weapon damage template
{"SHIELD_BLOCK_TEMPLATE", SHIELD_BLOCK_TEMPLATE}, -- "%d Block"

{"EMPTY_SOCKET_BLUE", EMPTY_SOCKET_BLUE}, -- "Blue Socket"
{"EMPTY_SOCKET_META", EMPTY_SOCKET_META}, -- "Meta Socket"
{"EMPTY_SOCKET_NO_COLOR", EMPTY_SOCKET_NO_COLOR}, -- "Prismatic Socket"
{"EMPTY_SOCKET_RED", EMPTY_SOCKET_RED}, -- "Red Socket"
{"EMPTY_SOCKET_YELLOW", EMPTY_SOCKET_YELLOW}, -- "Yellow Socket"


{"ITEM_SPELL_TRIGGER_ONEQUIP", ITEM_SPELL_TRIGGER_ONEQUIP..' %s', true}, -- "Equip:"
{"ITEM_SPELL_TRIGGER_ONPROC", ITEM_SPELL_TRIGGER_ONPROC..' %s', true}, -- "Chance on hit:"
{"ITEM_SPELL_TRIGGER_ONUSE", ITEM_SPELL_TRIGGER_ONUSE..' %s', true}, -- "Use:"
--{"NAME", nil} -- DUMMY FOR NAME
}

LIBITEMDB_ITEMSTRINGS_SPECIAL = {
{"ITEM_MOD_AGILITY", 74},
{"ITEM_MOD_SPIRIT", 82},
{"ITEM_MOD_STAMINA", 71},
{"ITEM_MOD_STRENGTH", 68},
{"ITEM_MOD_INTELLECT", 79},
{"ITEM_MOD_SPELL_POWER", 3151},
{"ITEM_MOD_SPELL_PENETRATION", 2700},
{"ITEM_MOD_MANA_REGENERATION", 2750},
{"ITEM_MOD_MANA_REGENERATION", 2852},
{"ITEM_MOD_ATTACK_POWER", 1563},
{"ARMOR_TEMPLATE", 85},
{"ITEM_MOD_PARRY_RATING", 2907},
{"ITEM_MOD_DODGE_RATING", 2926},
{"ITEM_MOD_BLOCK_RATING", 3017},
{"ITEM_MOD_DEFENCE_RATING", 2976},
{"ITEM_MOD_CRIT_RATING", 2902},
{"ITEM_MOD_EXPERTISE_RATING", 3362},
{"ITEM_MOD_ARMOR_PENETRATION_RATING", 3765},
{"ITEM_MOD_HASTE_RATING", 3267},
{"ITEM_MOD_HIT_RATING", 2886},
{"ITEM_MOD_RESILIENCE_RATING", 2867}
}

function LIBITEMDB_ITEMSTRINGS_FixGlobalString(pattern)
	-- We assume all % are already escaped, since they would break the format string
	pattern = LIBITEMDB_ITEMSTRINGS_EscapeRegex(pattern);
	pattern = gsub(pattern, "%%d", "(%%d+)");
	pattern = gsub(pattern, "%%c", "([%%D]?)");
	pattern = gsub(pattern, "%%s", "(.-)");
	pattern = gsub(pattern, "%%%%%.[0-9]+f", "(%%d+%%.%%d+)");
	pattern = '^'..pattern..'$';
	return pattern;
end

function LIBITEMDB_ITEMSTRINGS_Find(name)
	for i, table in ipairs(LIBITEMDB_ITEMSTRINGS_PARSED) do
		if (table[1] == name) then return table, i; end
	end
	return nil;
end

function LIBITEMDB_ITEMSTRINGS_EscapeRegex(string)
	string = gsub(string, "%^", "%%^");
	string = gsub(string, "%$", "%%$");
	string = gsub(string, "%(", "%%(");
	string = gsub(string, "%)", "%%)");
	string = gsub(string, "%.", "%%.");
	string = gsub(string, "%[", "%%[");
	string = gsub(string, "%]", "%%]");
	string = gsub(string, "%*", "%%*");
	string = gsub(string, "%+", "%%+");
	string = gsub(string, "%-", "%%-");
	string = gsub(string, "%?", "%%?");
	return string;
end


LIBITEMDB_ITEMSTRINGS_PARSED = {}
for i, table in pairs(LIBITEMDB_ITEMSTRINGS) do
    LIBITEMDB_ITEMSTRINGS_PARSED[i] = {table[1], LIBITEMDB_ITEMSTRINGS_FixGlobalString(table[2]), table[3] ~= nil}
end